Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Interface DockingPortPropertySet

All Known Implementing Classes:
  BasicDockingPortPropertySet, RootDockingPortPropertySet, ScopedDockingPortPropertySet

    public interface DockingPortPropertySet

Author:
  Christopher Butler

Field Summary
`static String` | `REGION_CHECKER`
`static String` | `REGION_SIZE_EAST`
`static String` | `REGION_SIZE_NORTH`
`static String` | `REGION_SIZE_SOUTH`
`static String` | `REGION_SIZE_WEST`
`static String` | `SINGLE_TABS`
`static String` | `TAB_PLACEMENT`

Method Summary
`RegionChecker` | `getRegionChecker()`
`Float` | `getRegionInset(String region)`
`Integer` | `getTabPlacement()`
`Boolean` | `isSingleTabsAllowed()`
`void` | `setRegionChecker(RegionChecker checker)`
`void` | `setRegionInset(String region, float inset)`
`void` | `setSingleTabsAllowed(boolean allowed)`
`void` | `setTabPlacement(int placement)`

Field Detail

### REGION_CHECKER

    static final String REGION_CHECKER

See Also:
  Constant Field Values

### SINGLE_TABS

    static final String SINGLE_TABS

See Also:
  Constant Field Values

### TAB_PLACEMENT

    static final String TAB_PLACEMENT

See Also:
  Constant Field Values

### REGION_SIZE_NORTH

    static final String REGION_SIZE_NORTH

See Also:
  Constant Field Values

### REGION_SIZE_SOUTH

    static final String REGION_SIZE_SOUTH

See Also:
  Constant Field Values

### REGION_SIZE_EAST

    static final String REGION_SIZE_EAST

See Also:
  Constant Field Values

### REGION_SIZE_WEST

    static final String REGION_SIZE_WEST

See Also:
  Constant Field Values

Method Detail

### getRegionChecker

    RegionChecker getRegionChecker()

### isSingleTabsAllowed

    Boolean isSingleTabsAllowed()

### getTabPlacement

    Integer getTabPlacement()

### getRegionInset

    Float getRegionInset(String region)

### setRegionChecker

    void setRegionChecker(RegionChecker checker)

### setSingleTabsAllowed

    void setSingleTabsAllowed(boolean allowed)

### setTabPlacement

    void setTabPlacement(int placement)

### setRegionInset

    void setRegionInset(String region,
                        float inset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD